com.google.cloud.dataflow.sdk.transforms

## Class GroupByKey.GroupByKeyOnly<K,V>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollection<KV<K,V>>,PCollection<KV<K,Iterable<V>>>>
  - - com.google.cloud.dataflow.sdk.transforms.GroupByKey.GroupByKeyOnly<K,V>

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  GroupByKey<K,V>

    public static class GroupByKey.GroupByKeyOnly<K,V>
    extends PTransform<PCollection<KV<K,V>>,PCollection<KV<K,Iterable<V>>>>

Primitive helper transform that groups by key only, ignoring any window assignments.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Constructor Summary

Constructors
Constructor and Description
`GroupByKeyOnly()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PCollection<KV<K,Iterable<V>>>` `apply(PCollection<KV<K,V>> input)` Applies this `PTransform` on the given `InputT`, and returns its `Output`.
`protected Coder<KV<K,Iterable<V>>>` `getDefaultOutputCoder(PCollection<KV<K,V>> input)` Returns the default `Coder` to use for the output of this single-output `PTransform` when applied to the given input.

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GroupByKeyOnly

    public GroupByKeyOnly()

### Method Detail

#### apply

    public PCollection<KV<K,Iterable<V>>> apply(PCollection<KV<K,V>> input)

Description copied from class: `PTransform`
Applies this `PTransform` on the given `InputT`, and returns its `Output`.

Composite transforms, which are defined in terms of other transforms, should return the output of one of the composed transforms. Non-composite transforms, which do not apply any transforms internally, should return a new unbound output and register evaluators (via backend-specific registration methods).

The default implementation throws an exception. A derived class must either implement apply, or else each runner must supply a custom implementation via `PipelineRunner.apply(com.google.cloud.dataflow.sdk.transforms.PTransform<InputT, OutputT>, InputT)`.

Overrides:
  `apply` in class `PTransform<PCollection<KV<K,V>>,PCollection<KV<K,Iterable<V>>>>`

#### getDefaultOutputCoder

    protected Coder<KV<K,Iterable<V>>> getDefaultOutputCoder(PCollection<KV<K,V>> input)

Description copied from class: `PTransform`
Returns the default `Coder` to use for the output of this single-output `PTransform` when applied to the given input.

Overrides:
  `getDefaultOutputCoder` in class `PTransform<PCollection<KV<K,V>>,PCollection<KV<K,Iterable<V>>>>`